/**
 * For copyright see license.txt.
 */
package anasy.syntax.literals;

import anasy.SyntaxError;
import anasy.Token;
import anasy.Tokind;
import anasy.input.Lexer;


/**
 * Base class for literal tokinds.
 * @author jure
 */
public abstract class Literal extends Tokind {

	public Literal(String name) {
		super(name, 0);
	}

	@Override
	public Token parse(int rbp) throws SyntaxError {
		final Lexer lexer = getLexer();
		return new Token(parent, lexer.prev().loc, lexer.prev().value);
	}

}