/**
 * For copyright see license.txt.
 */
package anasy.examples.kalq1;


import anasy.SyntaxError;
import anasy.input.Input;
import anasy.syntax.special.Start;


public class Kalq1 {

	protected static Input in = new Input();
	protected static Start start = new Start(in, Parser1.expr());

	protected static void eval(String str) throws SyntaxError {
		in.reset(str);
		System.out.println(in.getBuf() + ": " + start.parse());
	}
	
	public static void main(String[] args) throws SyntaxError {
		System.out.println("Kalq 1 - calculator");
		eval("1*2+3");
		eval("1 + 2 * 3");
		eval("1 + ;;ajka\n" +
				";;majka\n" + 
				"3 ;; qwe");
	}

}
