package anasy.syntax.special;

import anasy.SyntaxError;
import anasy.Token;
import anasy.Tokind;
import anasy.input.Lexer;

public class Expression extends Tokinds {

	public Expression(String name, Tokind... tokinds) {
		super(name, 0, tokinds);
	}

	@Override
	public Token parse(int rbp) throws SyntaxError {
		final Lexer lexer = getLexer();
		ensure();
		Token tree = lexer.advance().parse(rbp);
		while (lexer.peek().getLbp() > rbp) tree = lexer.advance().parse(tree, rbp);
		return tree;
	}
	
}
